Packages - Freedom Issue #3219

Freedom Issue # 1231 (in progress): [electron] embeds Chromium platform (or part of it), recommends nonfree DRM plugins
[electron] electron9-15 Removed from the blacklist for some reason

2022-04-03 11:18 PM - gap

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

The various Electron packages were removed from the blacklist in a recent commit (‘de8f2e...") and at least “electron16’ is now in
the repos.

History

#1 - 2022-04-03 11:20 PM - gap

| apologise; | opened the issue without having finished writing it by accident.
Please feel free to delete this comment and fix the initial report.

The various Electron packages were removed from the blacklist in a recent commit (‘de8f2e...") and at least “electron16’ is now in the repos.

#2 - 2022-04-03 11:42 PM - bill-auger
- Assignee set to bill-auger

- Status changed from unconfirmed to in progress

thanks for noticing - that was a mistake

#3 - 2022-04-04 03:21 PM - bill-auger
- Status changed from in progress to fixed
- Description updated

- Subject changed from [electron16] Removed from the blacklist for some reaso to [electron] electron9-15 Removed from the blacklist for some reason

#4 - 2022-11-28 10:47 AM - penaiple

community/electron18 and community/electron18 are in the repos and not blacklisted.
| would suggest to automatically blacklist every package with "electronX" in its name on release, X being any number(s) but not letters or other
characters to avoid false positives when auto-blacklisting.

#5 - 2022-11-28 11:19 AM - bill-auger
the blacklists are always maintained manually - an idea though, would be to modify libretools to allow regex or globbing of the package names; but
that would prevent searching for entries by package name

eg:
electron*
firefox-addon-*
firefox-i10n-*

#6 - 2022-11-28 11:24 AM - wael
Isn't it possible to script the list generation?

What | mean is having wildcards being matched and expanded against arch repos, and then that match being piped into the blacklist.
That way it is possible to have wildcard entries while also not affecting package search.

#7 - 2022-11-28 11:30 AM - penaiple

Isn't it possible to script the list generation?

| thought it's already being scripted, sorry.

2024-04-20 1/2




We can either script it, or throw all the future electron version packages (electron20, electron21, etc...) into the blacklist before they even exist just to
be sure. Bothering with scripting, regex, and all that stuff will require effort.

#8 - 2022-11-29 01:24 PM - bill-auger
- Parent task set to #1231
